1. Mutual Fund APIs
  • Mutual Funds Data API - Introduction
  • Authentication, Request & Response
  • Code Samples & API Trial
  • List of APIs
  • Mutual Fund APIs
    • GetAMCMaster
      GET
    • GetSchemeMaster
      GET
    • GetSchemeTypeMaster
      GET
    • GetSchemeCategoryMaster
      GET
    • GetNAV
      GET
    • GetNAVHistory
      GET
    • GetAUM
      GET
    • GetAUMHistory
      GET
    • GetAumSchemeComparison
      GET
    • GetAumTopGainersLosers
      GET
    • GetHoldings
      GET
    • GetHoldingsSearch
      GET
    • GetHoldingsWhatChanged
      GET
    • GetHoldingsByType
      GET
    • GetNewFundOffers
      GET
  • Helper Functions
    • GetLimitation
      GET
    • GetServerInfo
      GET
  • Diagnostic API Responses
    • Diagnostic API Responses
  • Release Notes
    • 📢Release Notes
  1. Mutual Fund APIs

GetSchemeMaster

GET
https://test.lisuns.com:4532/GetSchemeMaster
▶️ 'Try It' now !
pointer.gif
The GetSchemeMaster returns official mutual fund scheme details on codes, names, aliases, types, categories, subcategories, launch dates, closure dates, ISINs for growth, dividend payout, reinvestment, and server time.

What is returned?#

Code, Name, Alias, Type, Category, SubCategory, LaunchDate, ClosureDate, ISINGrowth, ISINDivPayout, ISINDivReinvest, ServerTime

Sample Response#

JSON
XML
CSV
CsvContent
{
"Value": [
{
"Name": "NJ Balanced Advantage Fund - Regular Plan - IDCW Payout Option",
"Alias": "",
"Code": "149263",
"Type": "Open Ended",
"Category": "Hybrid",
"SubCategory": "Dynamic Asset Allocation or Balanced Advantage",
"ISINGrowth": "INF0J8L01016",
"ISINDivPayout": "",
"ISINDivReinvest": "",
"IsActive": "True",
"LaunchDate": "01-01-0001 00:00:00",
"ClosureDate": "01-01-0001 00:00:00",
"AMC": ""
},
{
"Name": "NJ Balanced Advantage Fund - Direct Plan - Growth Option",
"Alias": "",
"Code": "149264",
"Type": "Open Ended",
"Category": "Hybrid",
"SubCategory": "Dynamic Asset Allocation or Balanced Advantage",
"ISINGrowth": "INF0J8L01040",
"ISINDivPayout": "",
"ISINDivReinvest": "",
"IsActive": "True",
"LaunchDate": "01-01-0001 00:00:00",
"ClosureDate": "01-01-0001 00:00:00",
"AMC": ""
},
{
"Name": "NJ Balanced Advantage Fund - Direct Plan - IDCW Payout Option",
"Alias": "",
"Code": "149265",
"Type": "Open Ended",
"Category": "Hybrid",
"SubCategory": "Dynamic Asset Allocation or Balanced Advantage",
"ISINGrowth": "INF0J8L01032",
"ISINDivPayout": "",
"ISINDivReinvest": "",
"IsActive": "True",
"LaunchDate": "01-01-0001 00:00:00",
"ClosureDate": "01-01-0001 00:00:00",
"AMC": ""
}
]
}

Request

Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://test.lisuns.com:4532/GetSchemeMaster?accessKey=4f863b18-f33e-4260-aa65-c60c1ad88686&name=NJ&from=&to=&type&category&sub-category&dTFormat=String&format=Json'

Responses

🟢200
application/json
Success
Body

Example
{
    "value": [
        {
            "name": "string",
            "alias": "string",
            "code": "string",
            "type": "string",
            "category": "string",
            "subCategory": "string",
            "isinGrowth": "string",
            "isinDivPayout": "string",
            "isinDivReinvest": "string",
            "isActive": true,
            "amc": "string",
            "launchDate": "02-25-2025 18:00:00",
            "closureDate": "02-25-2025 18:00:00"
        }
    ],
    "count": 0
}
Previous
GetAMCMaster
Next
GetSchemeTypeMaster
Built with